%global commit 2da2859d1232a9a88025e069dc43adc4048a018a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           pmd-build-tools
Version:        0.9
Release:        2%{?dist}
Summary:        PMD Build Plugin
License:        BSD
URL:            http://pmd.sourceforge.net/
BuildArch:      noarch

Source0:        https://github.com/pmd/build-tools/archive/%{commit}/pmd-build-tools-%{shortcommit}.tar.gz
# Forwarded upstream: https://github.com/pmd/build-tools/pull/1
Source1:        LICENSE

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
This small subproject regroups most of the stuff needed to build PMD.
As some Java code has been produced to reduce the use of scripts when
generating the website, the build also requires a small jar, which is
generated by this pom.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n build-tools-%{commit}
cp -a %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.9-1
- Initial packaging
